Page MenuHomePhabricator

Unlock screen and keyboard layouts don't go with each other well
Closed, ResolvedPublic

Description

Enlightenment 0.22.3 solved a problem of not being able to unlock the screen on some systems. Having used it for some time now I have however noticed another problem with unlocking after the screen having been locked for some minutes (it does not occur immediately).

It seems to be related to me using 4 keyboard layouts through which I can cycle either by pressing the caps lock key or Win-Space. The first two layouts use latin letters (US and DE), the next two cyrillic (UK and RU).

When I lock my screen while my keyboard set to US layout and stay away from it for some minutes I get "Invalid password" when trying to unlock it. The only fix I found was to initiate cycling of keyboard layout by CapsLock or Win-Space and repeat input of my password (my password "works" the same for both US and DE layout). Since both keyboard layout shortcuts do the trick, the problem seems to relate to a multi-keyboard-layout setup.

The problem occurs only when the layout when locking is US.
With DE it is always fine.
UK and RU don't apply anyway since the unlock input does not accept any cyrillic keys, so that I always need to cycle.

This problem has appeared only after having upgraded to e 0.22.3, i.e. I never had it with older versions.

mbert created this task.Apr 10 2018, 4:21 AM

Is this still an issue? I seem to remember raster changed something with multiple keyboard layouts... can't find it atm, though.

If it is still an issue: can you try to completely redo your keyboard setup in enlightenments config? Delete all keyboard setups -> don't forget to press apply afterwards -> and readd all keyboard setups you want -> don't forget to press apply afterwards.

ProhtMeyhet triaged this task as Normal priority.Jan 22 2020, 9:00 AM
mbert closed this task as Resolved.Jan 23 2020, 4:18 AM

I have not really checked, but it looks like I have not had any of those problems for quite some time. So maybe we can close this (and reopen if it reoccurs).